Bug 206038

Summary: net/py-novaclient: Update to 3.2.0
Product: Ports & Packages Reporter: Davide D'Amico <davide.damico>
Component: Individual Port(s)Assignee: Roman Bogorodskiy <novel>
Status: Closed FIXED    
Severity: Affects Only Me CC: python
Priority: --- Keywords: needs-patch, patch
Version: LatestFlags: bugzilla: maintainer-feedback? (novel)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Diff to upgrade py-novaclient to 3.2.0
koobs: maintainer-approval-
Path for py-novaclient. Added required ports.
none
Change koobs@freebsd.org with my email to mantain new ports. Remove comments from Makefiles.
none
Fixed a typo in oslo.serialization/distinfo. none

Description Davide D'Amico 2016-01-08 16:19:42 UTC
Created attachment 165269 [details]
Diff to upgrade py-novaclient to 3.2.0

The attached patch upgrade the port to 3.2.0 (didn't try using poudriere, I'm using this on 10.2-p7).
Comment 1 Roman Bogorodskiy freebsd_committer 2016-01-10 02:44:59 UTC
Thank you for the patch, Davide.
It's not as simple as that, though, because it needs some dependencies changes as well.
I'm working on that.
Comment 2 Davide D'Amico 2016-01-10 08:45:33 UTC
Created attachment 165348 [details]
Path for py-novaclient. Added required ports.
Comment 3 Davide D'Amico 2016-01-10 08:48:24 UTC
Hi K, thanks for your feedback.

Unfortunately I didn't have poudriere, so wasn't able to full test the previous patch.

Please find attached a new one, including missing (and required ports) where I put you as mantainer (I hope you don't mind :) but if this is an issue, I will be honoured to maintain them).

A quick note: py-monotonic should be installed if python_ver is 2.x or < 3.3 (cfr. https://pypi.python.org/pypi/monotonic/0.5)

Best,
d.
Comment 4 Davide D'Amico 2016-01-10 08:53:36 UTC
Created attachment 165349 [details]
Change koobs@freebsd.org with my email to mantain new ports. Remove comments from Makefiles.
Comment 5 Davide D'Amico 2016-01-10 08:54:23 UTC
Ok, I can maintain ports I added :)
Comment 6 Davide D'Amico 2016-01-10 08:57:25 UTC
Created attachment 165350 [details]
Fixed a typo in oslo.serialization/distinfo.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-10 09:09:38 UTC
@Davide, very nice work :)

What we'll need is separate issues for each new port, with this issue "depends on" those issue <ID>'s, where appropriate.

Regarding py-monotonic, there is an existing review open for it:

https://reviews.freebsd.org/D4845

Also, the COMMENT for each of the new python ports should match its setup.py:description (shortened, and compliant with portlint as necessary)

So, in summary:

* Split out the new changes ports into separate issues (as shell archives)
* Obsolete the existing attachment here, attach the py-novaclient update only
* Have this issue "depend on" the other new port issue issue ids

Hope that helps
Comment 8 Davide D'Amico 2016-01-10 09:31:18 UTC
I suspected that :)

Ok, I'll be on this in 8h (it's not raining here in London, so time to go out  :)).

d.
Comment 9 Roman Bogorodskiy freebsd_committer 2016-01-10 14:11:05 UTC
FWIW, I already have oslo.utils and oslo.i18n ports ready. You can save yourself a little time and submit oslo.serialization though (but pay attention to their deps as well. Also, I think pbr is required to be build depend as well).
Comment 10 Roman Bogorodskiy freebsd_committer 2016-01-11 01:52:53 UTC
Todays' news:

 - py-monotonic (https://reviews.freebsd.org/D4845) committed
 - py-oslo.i18n is here: https://reviews.freebsd.org/D4850
Comment 11 Roman Bogorodskiy freebsd_committer 2016-01-11 02:24:14 UTC
Added review request for py-debtcollector, based on your patch:

https://reviews.freebsd.org/D4851

Changes I made to your port:

 - wrapped pkg-plist
 - refined dependencies (based on the project's requirements.txt)
 - update WWW to more appropriate resource

Please post your comments there.
Comment 12 Davide D'Amico 2016-01-11 13:39:31 UTC
Thanks, fine for me.
Comment 13 Roman Bogorodskiy freebsd_committer 2016-01-11 21:30:54 UTC
The devel/py-debtcollector is in, maintainer set to Davide as in the original patch.
Comment 14 Roman Bogorodskiy freebsd_committer 2016-01-12 18:46:34 UTC
py-oslo.utils: https://reviews.freebsd.org/D4899

Davide, as far as I understand, you'd like to maintain the oslo ports? If you, I'd change the patches to set you maintainer.
Comment 15 Davide D'Amico 2016-01-12 19:26:03 UTC
Actually I am interested in py-novaclient so if I have to mantain the oslo-* ports, I'll do, no big deal.
Comment 16 Roman Bogorodskiy freebsd_committer 2016-01-12 22:30:22 UTC
Well, it's not like you have to, if you don't feel like wanting to do that, I can pick them up, it's up to you. :)

Meanwhile, py-oslo.serialization review request uploaded:

https://reviews.freebsd.org/D4903

Includes some changes to the original version (deps list most importantly).
Comment 17 Davide D'Amico 2016-01-12 22:48:09 UTC
No worries, I am not managing any ports at the moment so it's fine :)
Comment 18 Roman Bogorodskiy freebsd_committer 2016-01-13 02:52:43 UTC
Actually you are:

http://www.freshports.org/devel/py-debtcollector/

Then what I propose is that I keep oslo.utils and oslo.i18n (because I created it before your patch) and I set you as a maintainer for oslo.serialization and keystoneclient1 (because for those I based on the ports you submitted through the diff).

Meanwhile, review request for py-keystoneauth1 created:

https://reviews.freebsd.org/D4906

Looks like it's the last requirement before proceeding with the novaclient update.
Comment 19 Davide D'Amico 2016-01-13 08:12:21 UTC
Absolutely fine, let's go for it so we can have an updated py-novaclient.

Thanks,
d.
Comment 20 commit-hook freebsd_committer 2016-01-15 00:52:39 UTC
A commit references this bug:

Author: novel
Date: Fri Jan 15 00:52:01 UTC 2016
New revision: 406132
URL: https://svnweb.freebsd.org/changeset/ports/406132

Log:
  net/py-novaclient: update to 3.2.0 and un-break

  PR:		206038
  Submitted by:	Davide D'Amico <dave@gufi.org>

Changes:
  head/net/py-novaclient/Makefile
  head/net/py-novaclient/distinfo
Comment 21 Roman Bogorodskiy freebsd_committer 2016-01-15 00:59:51 UTC
Woo, now it's done!

Davide, thanks for your contribution!

The ports you now maintain are listed here:

http://portscout.freebsd.org/dave@gufi.org.html

I've added you to the list of Additional Contributors:

https://www.freebsd.org/doc/en/articles/contributors/contrib-additional.html

Few suggestions on the port maintainership:

 - Be careful with dependencies, for Python port explore setup.py, setup.cfg, requirements.txt etc
 - Do not forget to use portlint and 'make check-orphans'
 - Would be awesome if you could setup poudriere (it's not very hard)

Roman